# Generated by Django 3.2.8 on 2021-11-28 16:13

import wagtail.blocks
import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0029_alter_districtcenterpage_sidebar_content"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtelectionpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "candidate_list",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "call_to_action_text",
                                    wagtail.blocks.CharBlock(
                                        label="Text 'call-to-action' baneru"
                                    ),
                                ),
                                (
                                    "call_to_action_link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz 'call-to-action' baneru",
                                        required=False,
                                    ),
                                ),
                                (
                                    "call_to_action_button_text",
                                    wagtail.blocks.CharBlock(
                                        label="Text tlačítka 'call-to-action' baneru",
                                        max_length=24,
                                        required=False,
                                    ),
                                ),
                                (
                                    "candidate_list_big_count",
                                    wagtail.blocks.IntegerBlock(
                                        default=7,
                                        label="Počet kanditátů s velkým náhledem",
                                    ),
                                ),
                                (
                                    "candidate_list_shown_count",
                                    wagtail.blocks.IntegerBlock(
                                        default=16,
                                        label="Počet zobrazených kandidátů při načtení stránky (včetně velkých náhledů)",
                                    ),
                                ),
                                (
                                    "candidate_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Osoba",
                                            page_type=["district.DistrictPersonPage"],
                                        ),
                                        label="Kandidáti",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Obsah stránky",
            ),
        ),
    ]
